io.vertx.ext.json.schema.common

## Class FalseSchema

- java.lang.Object
- - io.vertx.ext.json.schema.common.FalseSchema

- All Implemented Interfaces:
    AsyncValidator, PriorityGetter, SchemaInternal, SyncValidator, Validator, Schema

      public class FalseSchema
      extends Object
      implements SchemaInternal

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FalseSchema(MutableStateValidator parent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyDefaultValues(JsonArray array)` This function mutates `array` applying default values, when available.
    `void` | `applyDefaultValues(JsonObject object)` This function mutates `object` applying default values, when available.
    `Object` | `getDefaultValue()` Return the default value defined in the schema
    `static FalseSchema` | `getInstance()`
    `Boolean` | `getJson()` Get Json representation of the schema
    `ValidatorPriority` | `getPriority()` Returns the priority
    `JsonPointer` | `getScope()` Get scope of this schema
    `boolean` | `hasDefaultValue()` Return true if the schema has a default value defined
    `boolean` | `isSync()` Returns true if this validator can actually provide a synchronous validation
    `Future<Void>` | `validateAsync(Object in)` Validate the json performing an asynchronous validation.
    `Future<Void>` | `validateAsync(ValidatorContext context, Object in)` Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
    `void` | `validateSync(Object in)` Validate the json performing a synchronous validation.
    `void` | `validateSync(ValidatorContext context, Object in)` Validate the provided value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FalseSchema

          public FalseSchema(MutableStateValidator parent)

  - ### Method Detail

    - #### getInstance

          public static FalseSchema getInstance()

    - #### isSync

          public boolean isSync()

      Description copied from interface: `Schema`
      Returns true if this validator can actually provide a synchronous validation
      Specified by:
        `isSync` in interface `Validator`
      Specified by:
        `isSync` in interface `Schema`
      Returns:

    - #### getPriority

          public ValidatorPriority getPriority()

      Description copied from interface: `PriorityGetter`
      Returns the priority
      Specified by:
        `getPriority` in interface `PriorityGetter`
      Returns:

    - #### validateSync

          public void validateSync(Object in)
                            throws ValidationException,
                                   NoSyncValidationException

      Description copied from interface: `Schema`
      Validate the json performing a synchronous validation. Throws a `ValidationException` if json doesn't match the schema.
      Specified by:
        `validateSync` in interface `Schema`
      Throws:
        `ValidationException`
        `NoSyncValidationException` - If the schema cannot perform a synchronous validation

    - #### validateAsync

          public Future<Void> validateAsync(Object in)

      Description copied from interface: `Schema`
      Validate the json performing an asynchronous validation. Returns a failed future with `ValidationException` if json doesn't match the schema.

      Note: If the schema is synchronous, this method will call internally `this#validateSync(Object)`

      Specified by:
        `validateAsync` in interface `Schema`
      Returns:

    - #### validateAsync

          public Future<Void> validateAsync(ValidatorContext context,
                                            Object in)

      Description copied from interface: `AsyncValidator`
      Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
      Specified by:
        `validateAsync` in interface `AsyncValidator`
      Returns:

    - #### validateSync

          public void validateSync(ValidatorContext context,
                                   Object in)
                            throws ValidationException,
                                   NoSyncValidationException

      Description copied from interface: `SyncValidator`
      Validate the provided value
      Specified by:
        `validateSync` in interface `SyncValidator`
      Throws:
        `ValidationException` - if the object is not valid
        `NoSyncValidationException` - if no sync validation can be provided

    - #### getScope

          public JsonPointer getScope()

      Description copied from interface: `Schema`
      Get scope of this schema
      Specified by:
        `getScope` in interface `Schema`
      Returns:

    - #### getJson

          public Boolean getJson()

      Description copied from interface: `Schema`
      Get Json representation of the schema
      Specified by:
        `getJson` in interface `Schema`
      Returns:

    - #### getDefaultValue

          public Object getDefaultValue()

      Description copied from interface: `Schema`
      Return the default value defined in the schema
      Specified by:
        `getDefaultValue` in interface `Schema`
      Returns:

    - #### hasDefaultValue

          public boolean hasDefaultValue()

      Description copied from interface: `Schema`
      Return true if the schema has a default value defined
      Specified by:
        `hasDefaultValue` in interface `Schema`
      Returns:

    - #### applyDefaultValues

          public void applyDefaultValues(JsonArray array)
                                  throws NoSyncValidationException

      Description copied from interface: `Schema`
      This function mutates `array` applying default values, when available.
      Specified by:
        `applyDefaultValues` in interface `Schema`
      Throws:
        `NoSyncValidationException` - if this schema represents a `$ref` not solved yet

    - #### applyDefaultValues

          public void applyDefaultValues(JsonObject object)
                                  throws NoSyncValidationException

      Description copied from interface: `Schema`
      This function mutates `object` applying default values, when available.
      Specified by:
        `applyDefaultValues` in interface `Schema`
      Throws:
        `NoSyncValidationException` - if this schema represents a `$ref` not solved yet

Copyright © 2020 Eclipse. All rights reserved.